.features-section {
    padding: 3.75rem 0;
}

.features-section__title {
    margin-bottom: 4.0625rem;
    text-transform: uppercase;
}

.features-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
}

@media screen and (min-width: 960px) {
    .features-grid {
        grid-template-columns: repeat(3, 1fr);
        gap: 1.5rem;
    }
}

.feature-card {
    background-color: #FFFFFF;
    border-radius: 1px;
    padding: 2.1875rem;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.02);
}

.feature-card__icon-wrapper {
    width: 3.75rem;
    height: 3.75rem;
    background-color: var(--yellow-primary);
    border-radius: 12.5px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 2.1875rem;
}

.feature-card__icon {
    width: 1.875rem;
    height: 1.875rem;
    object-fit: contain;
    filter: brightness(0) invert(1); 
}


.feature-card__title {
    font-size: 2.5rem;
    line-height: 90%;
    font-weight: 400;
    color: var(--black);
    margin: 0 0 1.5625rem 0;
}

.feature-card__text {
    font-size: 1.375rem;
    line-height: 1.25;
    color: var(--grey-text);
    margin: 0;
    font-family: "Manrope";
}
@media screen and (max-width: 960px) {

.feature-card {
    padding: 1.375rem;
}

.feature-card__icon-wrapper {
    width: 2.5rem;
    height: 2.5rem;
    margin-bottom: 1.375rem;
}

.feature-card__icon {
    width: 1.25rem;
    height: 1.25rem;
}

.feature-card__title {
    font-size: 1.625rem;
    margin: 0 0 1rem 0;
}

.feature-card__text {
    font-size: 0.9375rem;
}
}